Ticket #42607

crosser-2.1: tinycthread namespace conflict

Open Date: 2021-07-10 19:13 Last Update: 2021-07-17 10:41

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

crosser-2.1 development version includes tinycthread. That seems to mess freeciv build. The symptom: ruledit (from the standalone package) closes after ruleset selection. The problem starts with the crosser revision that just adds tinycthread (not yet linking it to anything), so this definitely looks like the crosser's copy gets picked up instead of freeciv's one in some case where it should not.

Ticket History (3/6 Histories)

2021-07-10 19:13 Updated by: cazfi
  • New Ticket "crosser-2.1: tinycthread namespace conflict" created
2021-07-10 19:35 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-07-11 00:53 Updated by: cazfi
Comment

- New patch version for master & S3_1 with required meson build changes

2021-07-17 10:41 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login